BWTextInternal::Section Struct Reference

Internal: a class used to store the section data of a BWText. More...

Inheritance diagram for BWTextInternal::Section:

## Public Member Functions

| Section ()
| constructor More...
MWAWEntry | getEntry (int i) const
| return the i^th entry More...
MWAWEntry | getHeaderEntry (bool fPage) const
| return the header entry More...
MWAWEntry | getFooterEntry (bool fPage) const
| return true if we have a header More...
Public Member Functions inherited from MWAWSection
| MWAWSection ()
| constructor More...
virtual | ~MWAWSection ()
| destructor More...
void | setColumns (int num, double width, WPXUnit widthUnit, double colSep=0)
| a function which sets n uniform columns More...
int | numColumns () const
| returns the number of columns More...
bool | hasSingleColumns () const
| returns the true if the section has only one columns More...
void | addTo (WPXPropertyList &propList) const
| add to the propList More...
void | addColumnsTo (WPXPropertyListVector &propList) const
| add tabs to the propList More...
bool | operator!= (MWAWSection const &sec) const
| operator!= More...
bool | operator== (MWAWSection const &sec) const
| operator== More...

## Public Attributes

MWAWParagraph | m_ruler
| the default section ruler More...
bool | m_hasFirstPage
| a flag to know if the first page is special More...
bool | m_hasHeader
| a flag to know if we need to print the header More...
bool | m_hasFooter
| a flag to know if we need to print the footer More...
long | m_limitPos [5]
| the data limits ( first page header, first page footer, header, footer, end) More...
bool | m_parsed [4]
| true if the data are send to the listener More...
int | m_heights [2]
| the header/footer height More...
int | m_pageNumber
| the page number More...
bool | m_usePageNumber
| true if we need to use the page number More...
std::string | m_extra
| extra data More...
Public Attributes inherited from MWAWSection
std::vector< Column > | m_columns
| the different column More...
double | m_width
| the total section width ( if set ) More...
MWAWBorder | m_columnSeparator
| the vertical separator between columns More...
bool | m_balanceText
| true if the text is balanced between different columns More...
MWAWColor | m_backgroundColor
| the background color More...

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: a class used to store the section data of a BWText.

## Constructor & Destructor Documentation

BWTextInternal::Section::Section | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWEntry BWTextInternal::Section::getEntry | ( | int | i | ) | const

inline

return the i^th entry

Referenced by BWText::flushExtra(), getFooterEntry(), getHeaderEntry(), and BWText::sendHF().

MWAWEntry BWTextInternal::Section::getFooterEntry | ( | bool | fPage | ) | const

inline

return true if we have a header

Referenced by BWText::getFooter().

MWAWEntry BWTextInternal::Section::getHeaderEntry | ( | bool | fPage | ) | const

inline

return the header entry

Referenced by BWText::getHeader().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |

friend

operator<<

## Member Data Documentation

std::string BWTextInternal::Section::m_extra

extra data

Referenced by BWText::readSection().

bool BWTextInternal::Section::m_hasFirstPage

a flag to know if the first page is special

Referenced by BWText::getFooter(), BWText::getHeader(), and BWText::readSection().

bool BWTextInternal::Section::m_hasFooter

a flag to know if we need to print the footer

Referenced by BWText::readSection().

bool BWTextInternal::Section::m_hasHeader

a flag to know if we need to print the header

Referenced by BWText::readSection().

int BWTextInternal::Section::m_heights[2]

the header/footer height

Referenced by BWText::readSection(), and Section().

long BWTextInternal::Section::m_limitPos[5]

the data limits ( first page header, first page footer, header, footer, end)

Referenced by getEntry(), BWText::readSection(), and Section().

int BWTextInternal::Section::m_pageNumber

the page number

Referenced by BWText::readSection().

bool BWTextInternal::Section::m_parsed[4]

mutable

true if the data are send to the listener

Referenced by BWText::flushExtra(), Section(), and BWText::sendHF().

MWAWParagraph BWTextInternal::Section::m_ruler

the default section ruler

bool BWTextInternal::Section::m_usePageNumber

true if we need to use the page number

Referenced by BWText::readSection().

The documentation for this struct was generated from the following file:

- BWText.cxx